Bug 33371 - Network daemon fails to bring up eth0.
Network daemon fails to bring up eth0.
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-27 07:43 EST by Toomas Gavrilin
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-28 01:49:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Toomas Gavrilin 2001-03-27 07:43:35 EST
'interfaces=...' part in /etc/rc.d/init.d/network filters out ifcfg-eth0
due to the line "egrep 'ifcfg-[a-z0-9]+$' ". As a temporary solution I just
removed $ sign, bu tI'm open to suggestions.
Comment 1 Bill Nottingham 2001-03-27 11:07:48 EST
I can't reproduce this here; doing:

ls ifcfg-eth0 | egrep 'ifcfg-[a-z0-9]+$' 

fine here.
Comment 2 Toomas Gavrilin 2001-03-28 01:48:16 EST
 Exactly the same line gives me nothing here, and there's definitely ifcfg-eth0.
Maybe egrep isn't happy with Estonian locale?
Comment 3 Bill Nottingham 2001-03-28 11:21:58 EST
Hm, probably. Will be fixed in 5.81-1.

Note You need to log in before you can comment on or make changes to this bug.